SET(3)

NAME
set - procedures for setting parameters (from strings) and for printing their values.

SYNOPSIS

Void SetNoisyInt(parm,valueS,file)
int *parm;
char *valueS;
FILE *file;

Void SetNoisyBool(parm,valueS,file)
bool *parm;
char *valueS;
FILE *file;

Void SetNoisyDI(parm,valueS,file)
DoubleInt *parm;
char *valueS;
FILE *file;

DESCRIPTION
These procedures interpet a string and set a parameter accordingly. Error messages are printed if the string doesn't make sense, and in any event the final parameter value is printed. If valueS is NULL, the parameter value is not changed. If file is NULL the result is printed with TxPrintf, Magic's standard print function, otherwise it is printed on the specified file.

SEE ALSO
magicutils(3)